commit:     86cdd79cf3a2916d656eac9266ecfca21afd02af
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 23 06:22:02 2015 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Oct 23 06:22:02 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86cdd79c

sys-process/nmon: Version bump.

Package-Manager: portage-2.2.23

 sys-process/nmon/Manifest        |  1 +
 sys-process/nmon/nmon-15g.ebuild | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/sys-process/nmon/Manifest b/sys-process/nmon/Manifest
index d5c67b7..29b409e 100644
--- a/sys-process/nmon/Manifest
+++ b/sys-process/nmon/Manifest
@@ -1 +1,2 @@
 DIST lmon14i.c 201877 SHA256 
d401cb5048e3e8e8f1ad63e68a0499c73ec64d5d2b7c41a1aeb2b596374eaa86 SHA512 
fe739044516f1e11a30a83ea49a4db6dc65175fcbb5c6e305320e2763a6936bfa565910984008279b1f3595473166b8e3371472f76bd2472928892ab97c0fbfa
 WHIRLPOOL 
e924e79171037239f701f889cffd80f36d435a9d0b36febc573e9fb168dc0d1a9fadca2a8b7d67fb58fc4a859b01bd82b85c0a8a3649ca4fdd46a976cbf1f72e
+DIST lmon15g.c 211460 SHA256 
0f4958c4fecfbaae5794a4cb41393880b25d2530ba7643fade9c344b03454d2c SHA512 
849238148e5217e1460b4564bab9a9f4e9afb6364d3df75c83611b561b17414fccac16dcd9538e08a6448d5b19f9e506c3e5e44c8273b0e691389dd8d3160f12
 WHIRLPOOL 
9448863da7cdc8d5e3faa092850049c3f0c53816c547ae09f34209db145b3f818f273725a6be9a04b9e3117bcaa8a9fc394f2ab987fe6f3feecd9e02b95cbe85

diff --git a/sys-process/nmon/nmon-15g.ebuild b/sys-process/nmon/nmon-15g.ebuild
new file mode 100644
index 0000000..f0c67a5
--- /dev/null
+++ b/sys-process/nmon/nmon-15g.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Nigel's performance MONitor for CPU, memory, network, disks, 
etc..."
+HOMEPAGE="http://nmon.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/lmon${PV}.c"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="sys-libs/ncurses"
+DEPEND="
+       ${RDEPEND}
+       virtual/pkgconfig
+"
+
+S=${WORKDIR}
+
+src_unpack() {
+       cp "${DISTDIR}"/lmon${PV}.c "${S}"/nmon.c || die
+}
+
+src_compile() {
+       append-cppflags -DJFS -DGETUSER -DLARGEMEM -DPOWER
+       emake CC="$(tc-getCC)" LDLIBS="$( $(tc-getPKG_CONFIG) --libs ncurses) 
-lm" ${PN}
+}
+
+src_install() {
+       dobin nmon
+}

Reply via email to